org.apache.ode.jacob

## Class ChannelListener<CT extends Channel>

- java.lang.Object
- - org.apache.ode.jacob.JacobObject
  - - org.apache.ode.jacob.ChannelListener<CT>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ActivityRecoveryChannelListener, CellChannelListener, CompensationChannelListener, EventHandlerControlChannelListener, InvokeResponseChannelListener, LinkStatusChannelListener, NaturalNumberStreamChannelListener, ParentScopeChannelListener, PickResponseChannelListener, SynchChannelListener, SynchPrintChannelListener, TerminationChannelListener, TimerResponseChannelListener, ValChannelListener

      public abstract class ChannelListener<CT extends Channel>
      extends JacobObject

  Base-class for method-list objects. Method-lists objects should extends this class and implement one `Channel` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChannelListener(CT channel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CT` | `getChannel()`
    `java.util.Set<java.lang.reflect.Method>` | `getImplementedMethods()`
    `protected org.slf4j.Logger` | `log()`
    `java.util.Set<ChannelListener>` | `or(ChannelListener other)`
    `java.util.Set<ChannelListener>` | `or(java.util.Set<ChannelListener> other)`
    `void` | `setChannel(CT channel)`
    `java.lang.String` | `toString()` Get a description of the object for debugging purposes.

    - ### Methods inherited from class org.apache.ode.jacob.JacobObject

      `getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelListener

          protected ChannelListener(CT channel)
                             throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

  - ### Method Detail

    - #### getChannel

          public CT getChannel()

    - #### setChannel

          public void setChannel(CT channel)

    - #### or

          public java.util.Set<ChannelListener> or(ChannelListener other)

    - #### or

          public java.util.Set<ChannelListener> or(java.util.Set<ChannelListener> other)

    - #### getImplementedMethods

          public java.util.Set<java.lang.reflect.Method> getImplementedMethods()

      Specified by:
        `getImplementedMethods` in class `JacobObject`

    - #### toString

          public java.lang.String toString()

      Get a description of the object for debugging purposes.
      Overrides:
        `toString` in class `JacobObject`
      Returns:
        human-readable description.

    - #### log

          protected org.slf4j.Logger log()